﻿$ErrorActionPreference = 'Stop';

$packageName    = $env:ChocolateyPackageName
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/204d6dc9ae1c/TargetSupportInstaller/UnitySetup-Linux-Mono-Support-for-Editor-2021.3.29f1.exe'
$checksum64     = '04c47821ba26773b48480e4414cd66ece854dcf9b6433b848315ecd260eb8dda'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
